local _check_once_at_bow = false
local _there_is_flaming_on_it = false
local _f_ArrowBase_on_collision = ArrowBase._on_collision
function ArrowBase:_on_collision(col_ray)
	if self and self:weapon_unit() and self:weapon_unit():base() and self:weapon_unit():base()._blueprint then
		if not _check_once_at_bow then
			_check_once_at_bow = true
			for k, v in pairs(self:weapon_unit():base()._blueprint or {}) do
				if v == "wpn_fps_upg_a_bow_flaming" then
					_there_is_flaming_on_it = true
					break
				end
			end
		end
		if _there_is_flaming_on_it then
			local damage_buff = tweak_data.weapon.factory.parts.wpn_fps_upg_a_bow_flaming.stats.damage or 0
			local damage_mult = self._weapon_damage_mult or 1
			self._damage = self._damage + damage_buff
			self._damage = self._damage * damage_mult
			FlameBulletBase:on_collision(col_ray, self:weapon_unit(), self:thrower_unit(), self._damage, true)
		end
	end
	_f_ArrowBase_on_collision(self, col_ray)
end